# $Revision: 1.9 $, $Date: 2005/01/09 18:20:37 $
%define		pname	StarterKit
Summary:	This package contains some basic sensors and nice displays
Summary(pl):	Ten pakiet zawiera kilka podstawowych czujnikw i adnych wywietlaczy
Name:		gDesklets-%{pname}
Version:	1
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://www.pycage.de/download/gdesklets/%{pname}.tar.bz2
# Source0-md5:	aba8937993b2d791c3b0cd7f60c75d22
URL:		http://www.pycage.de/software_gdesklets.html
BuildRequires:	python >= 1:2.3
Requires:	gDesklets
%pyrequires_eq	python-libs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains some basic sensors and nice displays.

%description -l pl
Ten pakiet zawiera kilka podstawowych czujnikw i adnych
wywietlaczy.

%prep
%setup -q -n %{pname}
tail -c 10240 Install_ACPI_Sensor.bin 2>&1 | tar -xz 2>&1
tail -c 10240 Install_Clock_Sensor.bin 2>&1 | tar -xz 2>&1
#tail -c 10240 Install_External_Sensor.bin 2>&1 | tar -xz 2>&1
#tail -c 20480 Install_Weather_Sensor.bin 2>&1 | tar -xz 2>&1

rm -rf Weather/locale/de/{CVS,LC_MESSAGES/CVS}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gdesklets/{Sensors,Displays/%{pname}}

cp -R ACPI Clock $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors
cp -R gfx *.display $RPM_BUILD_ROOT%{_datadir}/gdesklets/Displays/%{pname}

%py_comp $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors

rm -f $RPM_BUILD_ROOT%{_datadir}/gdesklets/Sensors/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_datadir}/gdesklets/Sensors/*
%{_datadir}/gdesklets/Displays/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-StarterKit.spec,v $
Revision 1.9  2005/01/09 18:20:37  saq
- missing BR epoch and pyreqeq, rel 5

Revision 1.8  2004/11/03 13:37:11  paladine
- formatting

Revision 1.7  2004/08/18 20:18:00  undefine
- release 4

Revision 1.6  2003/11/17 13:34:11  havner
- small fix

Revision 1.5  2003/11/17 13:31:02  havner
- deleted External sensor (provided by gDesklets)
- deleted Weather sensor (provided by gDesklets-Weather)
- rel 3

Revision 1.4  2003/11/11 01:12:29  ankry
- caps unification

Revision 1.3  2003/08/24 21:40:06  grzegol
- added Provides: gDesklets-display and gDesklets-sensor
- rel. 2

Revision 1.2  2003/08/11 17:56:19  ankry
- cosmetics

Revision 1.1  2003/08/11 16:59:55  grzegol
- new
